Package org.apache.storm.trident.windowing

# Class InMemoryTridentWindowManager

java.lang.Object
org.apache.storm.trident.windowing.AbstractTridentWindowManager<TridentTuple>
org.apache.storm.trident.windowing.InMemoryTridentWindowManager

All Implemented Interfaces:
  `ITridentWindowManager`

public class InMemoryTridentWindowManager extends AbstractTridentWindowManager<TridentTuple>
This `ITridentWindowManager` instance stores all the tuples and trigger related information inmemory.

- ## Field Summary

  ### Fields inherited from class org.apache.storm.trident.windowing.AbstractTridentWindowManager

  `aggregator, delegateCollector, pendingTriggers, triggerId, windowManager, windowStore, windowTaskId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InMemoryTridentWindowManager(WindowConfig windowConfig, String windowTaskId, WindowsStore windowStore, Aggregator aggregator, BatchOutputCollector delegateCollector)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTuplesBatch(Object batchId, List<TridentTuple> tuples)`
  Add received batch of tuples to cache/store and add them to `WindowManager`.
  `String`
  `getBatchTxnId(Object batchId)`
  `List<TridentTuple>`
  `getTridentTuples(List<TridentTuple> tridentBatchTuples)`
  Return `TridentTuple`s from given `tupleEvents`.
  `protected void`
  `initialize()`
  Load and initialize any resources into window manager before windowing for component/task is activated.
  `void`
  `onTuplesExpired(List<TridentTuple> expiredTuples)`
  Handle expired tuple events which can be removing from cache or store.

  ### Methods inherited from class org.apache.storm.trident.windowing.AbstractTridentWindowManager

  `getPendingTriggers, prepare, shutdown`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InMemoryTridentWindowManager

    public InMemoryTridentWindowManager(WindowConfig windowConfig, String windowTaskId, WindowsStore windowStore, Aggregator aggregator, BatchOutputCollector delegateCollector)

- ## Method Details

  - ### initialize

    protected void initialize()
    Description copied from class: `AbstractTridentWindowManager`
    Load and initialize any resources into window manager before windowing for component/task is activated.
    Specified by:
      `initialize` in class `AbstractTridentWindowManager<TridentTuple>`

  - ### getTridentTuples

    public List<TridentTuple> getTridentTuples(List<TridentTuple> tridentBatchTuples)
    Description copied from class: `AbstractTridentWindowManager`
    Return `TridentTuple`s from given `tupleEvents`.
    Specified by:
      `getTridentTuples` in class `AbstractTridentWindowManager<TridentTuple>`

  - ### onTuplesExpired

    public void onTuplesExpired(List<TridentTuple> expiredTuples)
    Description copied from class: `AbstractTridentWindowManager`
    Handle expired tuple events which can be removing from cache or store.
    Specified by:
      `onTuplesExpired` in class `AbstractTridentWindowManager<TridentTuple>`

  - ### addTuplesBatch

    public void addTuplesBatch(Object batchId, List<TridentTuple> tuples)
    Description copied from interface: `ITridentWindowManager`
    Add received batch of tuples to cache/store and add them to `WindowManager`.

  - ### getBatchTxnId

    public String getBatchTxnId(Object batchId)